Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 331685 - net-analyzer/nrpe, net-analyzer/nagios-plugins: Gentoo Prefix support
Summary: net-analyzer/nrpe, net-analyzer/nagios-plugins: Gentoo Prefix support
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo/Alt
Classification: Unclassified
Component: Prefix Support (show other bugs)
Hardware: All All
: High normal (vote)
Assignee: Sysadmin Bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: prefix-gx86
  Show dependency tree
 
Reported: 2010-08-08 20:45 UTC by Dirk Tilger
Modified: 2014-03-18 16:56 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch against the nagios-nrpe package (nrpe.patch,3.32 KB, patch)
2010-08-08 20:46 UTC, Dirk Tilger
Details | Diff
Patch against Nagios-plugins package, which is used and needed by NRPE (nagios-plugins.patch,1011 bytes, patch)
2010-08-09 06:13 UTC, Dirk Tilger
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Tilger 2010-08-08 20:45:40 UTC
Nagios is a network monitoring application. NRPE is a daemon to be installed on a host to be monitored.

The following patches are enabling nagios NRPE to be run from a prefixed portage.

I also ported the init.d scripts, since I'm still intending to fix bug 196294. ;)

The configure script of Nagios NRPE is looking for .so files. Though I tend to believe the correct approach would be to rewrite the linking detection checks in configure.in, it's too big a change for me to attempt and since I'm not a regular follower of Nagios developer mailinglists, I would miss any issues I'd created. So my patch simply adds a check for .dylib as well.

Also I found in the ebuilds the following parameters to econf:
--host=${CHOST}
--prefix=/usr

I removed both instead of rewriting --prefix.
Comment 1 Dirk Tilger 2010-08-08 20:46:10 UTC
Created attachment 241889 [details, diff]
Patch against the nagios-nrpe package
Comment 2 Dirk Tilger 2010-08-08 20:56:58 UTC
I seem unable to attach any more files to any of my open bugs. Will do it tomorrow. :(
Comment 3 Dirk Tilger 2010-08-09 06:13:55 UTC
Created attachment 241917 [details, diff]
Patch against Nagios-plugins package, which is used and needed by NRPE
Comment 4 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-08-18 21:12:29 UTC
I agree with the patches except you have to use EAPI3, adding maintainer for approval.
Comment 5 Christoph Junghans gentoo-dev 2012-08-24 13:27:59 UTC
(In reply to comment #4)
> I agree with the patches except you have to use EAPI3, adding maintainer for
> approval.

Recent version in the tree has EAPI=4. 

@Dirk: can you post updated patches?
Comment 6 Dirk Tilger 2013-07-10 13:03:19 UTC
(In reply to Christoph Junghans from comment #5)
> Recent version in the tree has EAPI=4. 
> 
> @Dirk: can you post updated patches?

Apologies, I stopped using Nagios and lost access to existing deployments.
Comment 7 Christoph Junghans gentoo-dev 2014-03-18 16:56:15 UTC
Reopen, when new patches are available.